Clarify console menu option 0 description
Status: Resolved Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category: Console Menu Estimated time: 0.00 hour

Target version:    

Plus Target Version:  Release Notes: Default

Description

Just creating this bug report here as advised by @jim-p, to accompany my Github PR: https://github.com/pfsense/pfsense/pull/4696

This PR removes the "(SSH only)" part of the "0) Logout" option on the console menu. This is because the logout option on the menu

is not exclusive to people connecting to the console over SSH, and having "(SSH only)" potentially creates confusion.

Password protection for the console menu can in fact be enabled (System/Advanced/Admin Access/Console Options/Password

protect the console menu), which secures the physical console as well as remote SSH connections. I have tested and ensured that

the "0) Logout" option does still work as expected on a physical console when console password protection is enabled.

Associated revisions

Revision 898df056 - 10/06/2024 09:42 PM - Liam Riley

Clarify console menu option 0 description. Implement #15705

History

#1 - 10/04/2024 03:39 PM - Marcos M

- Tracker changed from Bug to Todo

- Subject changed from Remove unnecessary "(SSH only)" from logout option in console menu to Clarify console menu option 0 description

- Status changed from New to Pull Request Review

- Affected Version deleted (All)

- Affected Architecture deleted (All)

#2 - 10/07/2024 04:00 PM - Liam Riley

- Status changed from Pull Request Review to Feedback

- % Done changed from 0 to 100

Applied in changeset 898df056052d0d793d7eb894ed70ca992972b293.

#3 - 10/13/2024 12:54 AM - Christopher Cope

- Status changed from Feedback to Resolved

Looks good on

24.11-ALPHA (amd64)

built on Fri Oct 11 19:54:00 UTC 2024

FreeBSD 15.0-CURRENT

Marking resolved.
